Page MenuHomePhabricator

Improve our GSoC/Outreachy documentation based on Lessons Learned (2020)
Open, Needs TriagePublic

Description

General

  1. We skip proposals creation on Phabricator for Outreachy in the next round.
  2. Consider having a call with all accepted participants during the community bonding period.
  3. Consider having a meeting for first-time mentors before the start of the application phase.
  4. Develop a process to avoid late entries & basic questions around the application process in Phabricator/Zulip.

Update the following docs

Program pages: GSoC/Outreachy
  • Add a line about open communication + best communication medium under 'Contact'.
Participants' guide: GSoC/Outreachy
  • Outreachy: Include information on community-specific questions.
Mentors' guide: GSoC/Outreachy
  • Recommend a venue where the code repository should be hosted after GSoC/Outreachy internship.
  • Under 'Before the program', 5th point says "Point them to self-contained, easy and newcomer-friendly bugs to fix". Here, explicitly mention "List these tasks in the task description".
  • Include the description given here: Outreach-Programs-Projects
  • Add a communication guidelines template on the top in every task description on Phabricator that
    • asks students to be patient, especially on holidays/weekends,
    • reminds students to ask specific questions and go through the application process steps carefully.
  • Ask mentors to communicate to their applicants:
    • their preferred communication channel,
    • when they will respond, review tasks, etc.
  • Recommend mentors to keep all the conversations in public. Though point 7 here https://www.mediawiki.org/wiki/Google_Summer_of_Code/Mentors#_Before_the_program is related but could be expanded more.
  • Add to selection process tips something like this: If there are two applicants ranked equally based on their contributions during the application phase, only, in that case, we give priority to someone with prior contributions. It is never that someone with prior contributions and fewer contributions during the application phase is given more priority over another candidate with more contributions.
Admins' guide: GSoC/Outreachy
  • Document under 'Student_application_period' that org-admins verify if the students have followed all the application process steps.
    • They give relevant feedback on the proposal.
    • Ideally, they do this 1-2 weeks before the deadline, so that students have time to work on the feedback.
    • If there isn't enough time, leave feedback mentioning the chances of getting accepted are slim.
    • This process is optional.
  • Change "Encourage students to follow..." to "Make sure that students follow..." under 'Student_application_period'.
  • Add a link to the respective Administrators/Announcements pages under the ‘Resources’ section when we have all the emails documented.
  • Add a point about responding to late and declined proposals.
Outreach programs/FAQs
  • Add a question about Outreachy's community-specific questions.
  • Update the point on late entries, mention:
    • It takes at least 1 week to complete our application process, we recommend starting 2-3 weeks early.
    • If the deadline is less than a week, mention their chances of acceptance are slim.
    • That said, if they still want to apply, we'll support them.
    • There are other opportunities, and they can contribute outside of these programs.
    • Include relevant resources.
  • Add a point about applying to GSoC with Wikimedia the second time and clarify that the preference in that case will still be given to a newcomer
Phab application template
  • Under 'Past Experience', make it clear that students must have made a contribution to Wikimedia projects during the application phase.

Event Timeline

@srishakatux Please review these points whenever you get the chance and I'd be happy to help update the docs. ^_^

@Pavithraes Thank you for creating and willing to work on this :) The points in the task look good to me. I will be happy to review as and when you make edits on the wiki pages.

srishakatux updated the task description. (Show Details)May 5 2020, 6:23 PM
Aklapper updated the task description. (Show Details)Jun 1 2020, 11:06 AM

(I changed list items to checkbox items in the task description. This helps keeping an overview. Use "Edit Task" and replace [ ] with [X] when an item is done.)

Looking at https://www.mediawiki.org/wiki/Outreachy/Round_20#Recommended_steps_for_accepted_interns this should not exist as it is not Round specific. It should be on https://www.mediawiki.org/wiki/Outreachy/Participants#Community_bonding_period instead which is partially duplicated content.
Furthermore, some stuff is absolutely mandatory, some stuff is very optional (e.g. why subscribe to wikitech-l? Why follow some blogs? Why watch tech talks?). This should be split or really made clearer. I understand the goal is engagement instead of throwing too much information at folks, as some folks already have problems following the current process.

Furthermore I would put https://www.mediawiki.org/wiki/Outreachy/Round_20#Roles_and_responsibilities at the very top with a note that people MUST read and understand this.

Aklapper renamed this task from Action points based on lessons learned from the ongoing GSoC/Outreachy application phase to Improve our GSoC/Outreachy documentation based on Lessons Learned (2020).Jun 1 2020, 11:15 AM

Looking at https://www.mediawiki.org/wiki/Outreachy/Round_20#Recommended_steps_for_accepted_interns this should not exist as it is not Round specific. It should be on https://www.mediawiki.org/wiki/Outreachy/Participants#Community_bonding_period instead which is partially duplicated content.

It is added on the current round page for convenience's sake, mostly because the interns are there on that page (editing it) throughout.

Furthermore, some stuff is absolutely mandatory, some stuff is very optional (e.g. why subscribe to wikitech-l? Why follow some blogs? Why watch tech talks?). This should be split or really made clearer. I understand the goal is engagement instead of throwing too much information at folks, as some folks already have problems following the current process.

This https://www.mediawiki.org/wiki/Outreachy/Participants#Accepted_participants says: "If you get accepted, here is what we will encourage you to do to have a successful project" but agree probably could be made more explicit.

Furthermore I would put https://www.mediawiki.org/wiki/Outreachy/Round_20#Roles_and_responsibilities at the very top with a note that people MUST read and understand this.

It is there at the top while the application phase is running, see: https://www.mediawiki.org/w/index.php?title=Outreachy/Round_20&diff=3738647&oldid=3727887&diffmode=source. Only got moved after the announcements were made.

srishakatux updated the task description. (Show Details)Jun 2 2020, 7:01 PM
Aklapper added a comment.EditedJun 2 2020, 8:15 PM

Looking at https://www.mediawiki.org/wiki/Outreachy/Round_20#Recommended_steps_for_accepted_interns this should not exist as it is not Round specific. It should be on https://www.mediawiki.org/wiki/Outreachy/Participants#Community_bonding_period instead which is partially duplicated content.

It is added on the current round page for convenience's sake, mostly because the interns are there on that page (editing it) throughout.

@srishakatux: If the goal for some reason was to have everything on one page then either labeled section transclusion should be used, or information on one page should be removed. I don't understand why we have duplicated info across pages as it increases maintenance costs and asks for outdated docs and confusion what to follow if you don't remember to update more than one page.
In my understanding, information that is not specifically about a round should never be on the sub(!)page for that round.

Furthermore I would put https://www.mediawiki.org/wiki/Outreachy/Round_20#Roles_and_responsibilities at the very top with a note that people MUST read and understand this.

It is there at the top while the application phase is running, see: https://www.mediawiki.org/w/index.php?title=Outreachy/Round_20&diff=3738647&oldid=3727887&diffmode=source. Only got moved after the announcements were made.

Ah, thanks. I do not see this move listed on https://www.mediawiki.org/wiki/Outreachy/Administrators . If there is a reason to move, should it be added?

Also, how to make sure that when the Round 21 page is created that these are back on top (and not that the last version of the Round 20 page is used as a template where they are not on top)?

@srishakatux: If the goal for some reason was to have everything on one page then either labeled section transclusion should be used, or information on one page should be removed. I don't understand why we have duplicated info across pages as it increases maintenance costs and asks for outdated docs and confusion what to follow if you don't remember to update more than one page.
In my understanding, information that is not specifically about a round should never be on the sub(!)page for that round.

Okay, that sounds good!

Ah, thanks. I do not see this move listed on https://www.mediawiki.org/wiki/Outreachy/Administrators . If there is a reason to move, should it be added?

Also, how to make sure that when the Round 21 page is created that these are back on top (and not that the last version of the Round 20 page is used as a template where they are not on top)?

Probably, not something to document in the guide so I have made changes to the pages so that we have now "roles & responsibilities" on the top to ensure next Rounds have it that way.